package com.adealink.weparty.storage.file

import com.adealink.frame.storage.file.Path
import com.adealink.frame.storage.file.privateCachePath
import com.adealink.frame.storage.file.privateFilesPath
import com.adealink.frame.storage.file.publicFilesPath
import com.adealink.frame.util.AppUtil
import java.io.File

object FilePath {

    val clipImagePath by lazy { Path("clip_image", publicFilesPath).absolutePath }

    val takePhotoImagePath by lazy { Path("take_photo", publicFilesPath).absolutePath }

    val spPath by lazy { Path("sp", privateFilesPath).absolutePath }

    val shareImagePath by lazy { Path("share_image", publicFilesPath).absolutePath }

    val filePath by lazy { Path("file", publicFilesPath).absolutePath }

    val webPath by lazy { Path("web", publicFilesPath).absolutePath }

    val audioPath by lazy { Path("audio", publicFilesPath).absolutePath }

    val recordPath by lazy { Path("record", publicFilesPath).absolutePath }

    val offlineH5 by lazy { Path("offline_h5", publicFilesPath).absolutePath }

    val httpCachePath by lazy { Path("http_cache", privateCachePath).absolutePath }

    val gameHubPath by lazy { Path("game_hub", publicFilesPath).absolutePath }

    val gameSkinPath by lazy { Path("game_skin", privateFilesPath).absolutePath }

    val defaultGameSkinPath by lazy { Path("default_game_skin", privateFilesPath).absolutePath }

    val certification by lazy { Path("certification", privateFilesPath).absolutePath }

    val videoCachePath by lazy { Path("video_cache", publicFilesPath).absolutePath }

    /**start------以下路径不再使用-----**/
    val oldGiftPath by lazy { Path("gift", privateFilesPath).absolutePath }

    val oldEmotionPath by lazy { Path("emotion", publicFilesPath).absolutePath }

    val oldMusicPath by lazy { Path("music", publicFilesPath).absolutePath }

    val oldThemePath by lazy { Path("theme", publicFilesPath).absolutePath }

    val oldSkinPath by lazy { Path("skin", publicFilesPath).absolutePath }

    val oldCarPath by lazy { Path("car", publicFilesPath).absolutePath }

    val oldVideoPath by lazy { Path("video", publicFilesPath).absolutePath }

    val oldActivityPath by lazy { Path("activity", publicFilesPath).absolutePath }

    val oldRocketPath by lazy { Path("rocket", publicFilesPath).absolutePath }

    val oldLevelPath by lazy { Path("level", publicFilesPath).absolutePath }

    val oldCpPath by lazy { Path("cp", publicFilesPath).absolutePath }

    val oldEffectPath by lazy { Path("effect", privateCachePath).absolutePath }

    val oldBackupEffectPath by lazy { "${AppUtil.appContext.filesDir}${File.separator}effect"}

    val oldLabelPath by lazy { Path("label", privateCachePath).absolutePath }

    val oldWeddingPath by lazy { Path("wedding", publicFilesPath).absolutePath }

    val oldFamilyPath by lazy { Path("family", publicFilesPath).absolutePath }

    // TODO 过几个版本再做清理
    val oldReleaseXlogPath by lazy { Path("xlog", privateFilesPath).absolutePath }
    /**end------以下路径不再使用-----**/
}